Bug 56331

Summary: windows 'access denied' during revalidaton of resource w/o ETAG/LMT
Product: Apache httpd-2 Reporter: Eric Covener <covener>
Component: mod_cache_disk / mod_disk_cacheAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.26   
Target Milestone: ---   
Hardware: PC   
OS: All   

Description Eric Covener 2014-03-29 13:53:58 UTC
Similar to cache_remove_entity() in PR 38827, cache_remove_url() is usually called while the data file is still open and will remove the data file.

We need to track it a bit better and make sure to close it before removing.  On Windows, this becomes un-recoverable for the given cache entry

This seems to be unique to the path where there is no ETAG/LMT in the cached representation, whereas 38827 happened any time a freshness check resulted in a non-304.
Comment 1 Eric Covener 2014-04-01 12:23:53 UTC
2.2 only, 2.4 does not call cache_remove_url() in the same path
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:45 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.